image: python:3.8

stages:
  - test
  - quality-assurance

before_script:
  - pip install tox

py37-django22:
  image: python:3.7
  stage: test
  script: tox -e py37-django22

py38-django22:
  image: python:3.8
  stage: test
  script: tox -e py38-django22

linters:
  image: python:3.8
  stage: quality-assurance
  script: tox -e linters

  # Be nice to new contributors, but please use `tox`
  allow_failure: true
